> For the complete documentation index, see [llms.txt](https://docs.claret.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.claret.app/api-reference/utilities/tenant-public-jobs-show.md).

# Tenant.public.jobs.show

```json
{"openapi":"3.1.0","info":{"title":"Claret","version":"1.0.0"},"tags":[{"name":"Utilities","description":"Token management, credit top-up, and asynchronous job status."}],"servers":[{"url":"https://plan.claret.app/{tenant}/api/v1","description":"Production","variables":{"tenant":{"default":"your-tenant","description":"Your Claret tenant identifier (the slug in your Claret URL)."}}}],"security":[{"http":[]}],"components":{"securitySchemes":{"http":{"type":"http","scheme":"bearer"}},"responses":{"AuthenticationException":{"description":"Unauthenticated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/jobs/{id}":{"get":{"operationId":"tenant.public.jobs.show","tags":["Utilities"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","const":"Job status retrieved successfully."},"data":{"type":"array","prefixItems":[{"type":"object","properties":{"job_log_id":{"type":"string"},"status":{"anyOf":[{"type":"string"},{"type":"string","enum":["pending"]}]},"type":{"anyOf":[{"type":"string"},{"type":"string","enum":["import"]}]},"description":{"type":["string","null"]},"progress":{"type":"object","properties":{"completed_steps":{"type":"string"},"total_steps":{"type":["object","null"]}},"required":["completed_steps","total_steps"]},"timestamps":{"type":"object","properties":{"started_at":{"type":["string","null"]},"completed_at":{"type":["string","null"]}},"required":["started_at","completed_at"]}},"required":["job_log_id","status","type","description","progress","timestamps"]}],"minItems":1,"maxItems":1,"additionalItems":false},"meta":{"anyOf":[{"type":"array","items":{}},{"type":"string"}]},"links":{"type":"string"}},"required":["message","data","meta","links"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"description":"","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","const":"https://httpstatuses.com/404"},"title":{"type":"string","const":"Not Found"},"status":{"type":"integer","const":404},"detail":{"type":"string"},"request_id":{"type":"string"},"errors":{"type":"string"}},"required":["type","title","status","detail","request_id","errors"]}}}},"422":{"$ref":"#/components/responses/ValidationException"},"500":{"description":"","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","const":"https://httpstatuses.com/500"},"title":{"type":"string","const":"Server Error"},"status":{"type":"integer","const":500},"detail":{"type":"string","const":"An error occurred while retrieving job status."},"request_id":{"type":"string"},"errors":{"type":"string"}},"required":["type","title","status","detail","request_id","errors"]}}}}}}}}}
```
